Get list of users

get

/ec-auth-svc/rest/v2.0/authusers

Retrieves a paginated list of users with advanced search and filtering. Specify search string, pagination, and user filtering parameters. Includes users both active and (optionally) marked as removed.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : DisplayUserListDto
Type: object
Paginated result set of users for a global role.
Show Source
Nested Schema : users
Type: object
User details including name, username, and email address.
Show Source
Example:
[
    {
        "id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "firstName":"Alice",
        "lastName":"Brown",
        "userName":"alicebrown",
        "emailAddress":"alice.brown@email.com"
    }
]
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top